import { FieldInfo } from 'model-util-base'
import { ConditionUtil, ConditionUtilImpl, FieldUtil, TableUtilImpl, IdType, JoinTable, SubTable } from 'model-util'
import { Container, Singleton } from 'typescript-ioc' 
import { WbAdBlackLot } from '../models/index' 
/**
 * @author auto generate
 * @version 1.2
 * @date 2020-12-29 15:31
 */
interface WbAdBlackLotCU extends ConditionUtil<WbAdBlackLotCU>{
    ID:FieldUtil<WbAdBlackLotCU>;
    POSITION:FieldUtil<WbAdBlackLotCU>;
    LOT_ID:FieldUtil<WbAdBlackLotCU>;
    CREATE_TIME:FieldUtil<WbAdBlackLotCU>;
    UPDATE_TIME:FieldUtil<WbAdBlackLotCU>;
}

class WbAdBlackLotCUImpl extends ConditionUtilImpl<WbAdBlackLotCUImpl> implements WbAdBlackLotCU{ 
    newInstance(): WbAdBlackLotCUImpl {
        return new WbAdBlackLotCUImpl();
    } 
    get ID(): FieldUtil<WbAdBlackLotCU>{  
        return new FieldUtil('ID','id','', this);
    }
    get POSITION(): FieldUtil<WbAdBlackLotCU>{  
        return new FieldUtil('POSITION','position','', this);
    }
    get LOT_ID(): FieldUtil<WbAdBlackLotCU>{  
        return new FieldUtil('LOT_ID','lotId','', this);
    }
    get CREATE_TIME(): FieldUtil<WbAdBlackLotCU>{  
        return new FieldUtil('CREATE_TIME','createTime','创建时间', this);
    }
    get UPDATE_TIME(): FieldUtil<WbAdBlackLotCU>{  
        return new FieldUtil('UPDATE_TIME','updateTime','更新时间', this);
    }
}

@Singleton 
class WbAdBlackLotMU extends TableUtilImpl<WbAdBlackLotCU,WbAdBlackLot>{ 
    tableName  = 'wb_ad_black_lot';
    tableFields  = ['ID','POSITION','LOT_ID','CREATE_TIME','UPDATE_TIME'];
    modelFields  = ['id','position','lotId','createTime','updateTime'];
    modelIdFields  = ['id'];
    tableIdFields  = ['ID'];
    idType = IdType.CUSTOM;
    joinTables = [];
    subTables = [];

    createConditionUtil(): WbAdBlackLotCU {
        return new WbAdBlackLotCUImpl();
    }   

    static get ID(): FieldUtil<WbAdBlackLotCU>{ 
        return new FieldUtil('ID','id','', new WbAdBlackLotCUImpl());
    }
    static get POSITION(): FieldUtil<WbAdBlackLotCU>{ 
        return new FieldUtil('POSITION','position','', new WbAdBlackLotCUImpl());
    }
    static get LOT_ID(): FieldUtil<WbAdBlackLotCU>{ 
        return new FieldUtil('LOT_ID','lotId','', new WbAdBlackLotCUImpl());
    }
    static get CREATE_TIME(): FieldUtil<WbAdBlackLotCU>{ 
        return new FieldUtil('CREATE_TIME','createTime','创建时间', new WbAdBlackLotCUImpl());
    }
    static get UPDATE_TIME(): FieldUtil<WbAdBlackLotCU>{ 
        return new FieldUtil('UPDATE_TIME','updateTime','更新时间', new WbAdBlackLotCUImpl());
    }

    get ID(): FieldUtil<WbAdBlackLotCU>{ 
        return WbAdBlackLotMU.ID;
    }
    get POSITION(): FieldUtil<WbAdBlackLotCU>{ 
        return WbAdBlackLotMU.POSITION;
    }
    get LOT_ID(): FieldUtil<WbAdBlackLotCU>{ 
        return WbAdBlackLotMU.LOT_ID;
    }
    get CREATE_TIME(): FieldUtil<WbAdBlackLotCU>{ 
        return WbAdBlackLotMU.CREATE_TIME;
    }
    get UPDATE_TIME(): FieldUtil<WbAdBlackLotCU>{ 
        return WbAdBlackLotMU.UPDATE_TIME;
    }
}
export {WbAdBlackLotMU, WbAdBlackLotCU}
